CRAN Package Check Results for Package EpiSignalDetection

Last updated on 2019-06-26 06:47:23 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.1.1 4.05 39.29 43.34 OK
r-devel-linux-x86_64-debian-gcc 0.1.1 3.21 30.89 34.10 OK
r-devel-linux-x86_64-fedora-clang 0.1.1 52.73 NOTE
r-devel-linux-x86_64-fedora-gcc 0.1.1 49.72 NOTE
r-devel-windows-ix86+x86_64 0.1.1 11.00 74.00 85.00 OK
r-patched-linux-x86_64 0.1.1 3.21 38.85 42.06 OK
r-patched-solaris-x86 0.1.1 79.70 ERROR
r-release-linux-x86_64 0.1.1 4.06 37.92 41.98 OK
r-release-windows-ix86+x86_64 0.1.1 9.00 61.00 70.00 OK
r-release-osx-x86_64 0.1.1 ERROR
r-oldrel-windows-ix86+x86_64 0.1.1 5.00 52.00 57.00 OK
r-oldrel-osx-x86_64 0.1.1 ERROR

Check Details

Version: 0.1.1
Check: dependencies in R code
Result: NOTE
    Namespaces in Imports field not imported from:
     ‘DT’ ‘ggplot2’ ‘knitr’ ‘pander’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64

Version: 0.1.1
Check: examples
Result: ERROR
    Running examples in ‘EpiSignalDetection-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: runEpiSDReport
    > ### Title: Run the EpiSignalDetection report (HTML markdown)
    > ### Aliases: runEpiSDReport
    >
    > ### ** Examples
    >
    > #---> OR
    >
    > #-- First setting the parameters to run the report for
    > input <- list(
    + disease = "Salmonellosis",
    + country = "Portugal",
    + indicator = "Reported cases",
    + stratification = "Confirmed cases",
    + unit = "Month",
    + daterange = c("2011-01-01", "2016-12-31"),
    + algo = "FarringtonFlexible",
    + testingperiod = 6
    + )
    >
    > #-- Second running the report based on the EpiSignalDetection::SignalData dataset
    > #-- and store it in a temporary folder
    > runEpiSDReport(input = input)
    Error: pandoc version 1.12.3 or higher is required and was not found (see the help page ?rmarkdown::pandoc_available).
    Execution halted
Flavors: r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64